## ros-dashing-kinesis-video-streamer 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(kinesis_video_streamer)

# Add support for C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(kinesis_manager REQUIRED)
find_package(rclcpp REQUIRED)
find_package(aws_ros2_common REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(aws_common REQUIRED)
find_package(image_transport REQUIRED)
find_package(kinesis_video_msgs REQUIRED)
find_package(rmw_implementation REQUIRED)

set(PRODUCER_LIBRARY producer)
set(LOG_LIBRARY log4cplus)
set(INCLUDE_DIRS ${kinesis_manager_INCLUDE_DIRS} ${rclcpp_INCLUDE_DIRS}
    ${aws_ros2_common_INCLUDE_DIRS} ${ament_cmake_INCLUDE_DIRS}
    ${aws_common_INCLUDE_DIRS} ${image_transport_INCLUDE_DIRS}
    ${kinesis_video_msgs_INCLUDE_DIRS}
    ${rmw_implementation_INCLUDE_DIRS})
set(LIB_DEPS ${kinesis_manager_LIBRARIES} ${rclcpp_LIBRARIES}
    ${aws_ros2_common_LIBRARIES} ${ament_cmake_LIBRARIES} ${aws_common_LIBRARIES}
    ${image_transport_LIBRARIES} ${PRODUCER_LIBRARY}
    ${kinesis_video_msgs_LIBRARIES} ${rmw_implementation_LIBRARIES} ${LOG_LIBRARY})

###########
## Build ##
###########
## Declare a C++ executable
set(KINESIS_VIDEO_STREAMER_SRC src/ros_stream_subscription_installer.cpp
  src/subscriber_callbacks.cpp src/streamer.cpp src/main.cpp)
add_executable(${PROJECT_NAME} ${KINESIS_VIDEO_STREAMER_SRC})
add_library(${PROJECT_NAME}_lib ${KINESIS_VIDEO_STREAMER_SRC})

## Specify include directories
target_include_directories(${PROJECT_NAME} PRIVATE include ${INCLUDE_DIRS})
target_include_directories(${PROJECT_NAME}_lib PUBLIC include ${INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} ${LIB_DEPS})
target_link_libraries(${PROJECT_NAME}_lib ${LIB_DEPS})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE
  DESTINATION lib/${PROJECT_NAME}
  LIBRARY
  DESTINATION lib/${PROJECT_NAME}
  RUNTIME
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY config DESTINATION share/${PROJECT_NAME})
install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})

#############
## Tests ##
#############

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  
  ament_add_gtest(test_kinesis_video_streamer
    test/kinesis_video_streamer_test.cpp)
  target_include_directories(test_kinesis_video_streamer
    PRIVATE include ${KPL_INCLUDES_PATH}
    ${kinesis_manager_INCLUDE_DIRS})
  target_link_libraries(test_kinesis_video_streamer
          ${PROJECT_NAME}_lib
          ${LIB_DEPS})

  ament_add_gmock(test_streamer_node
    test/streamer_node_test.cpp)
  target_include_directories(test_streamer_node
    PRIVATE include ${KPL_INCLUDES_PATH}
    ${kinesis_manager_INCLUDE_DIRS})
  target_link_libraries(test_streamer_node
          ${PROJECT_NAME}_lib
          ${LIB_DEPS})

  ament_add_gmock(test_subscriber_callbacks
    test/subscriber_callbacks_test.cpp)
  target_include_directories(test_subscriber_callbacks
    PRIVATE include ${KPL_INCLUDES_PATH}
    ${kinesis_manager_INCLUDE_DIRS})
  target_link_libraries(test_subscriber_callbacks
          ${PROJECT_NAME}_lib
          ${LIB_DEPS})
endif()

ament_package()

=== debian/changelog ===
ros-dashing-kinesis-video-streamer (3.1.0-1bionic) bionic; urgency=high

  * Bump version number to 3.1.0
  * Add ability to set AWS Region and stream name via launch parameters (#20 <https://github.com/aws-robotics/kinesisvideo-ros2/issues/20>)
    * add ability to override aws_region and stream_name via launch parameters
    * add ability to override rekognition_data_stream via launch parameters
    * address feedback in the pull request
    * conditionally override rekognition_data_stream, so that sample_config.yaml does not need to be modified
  * Contributors: M. M, ryanewel

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 01 Nov 2019 00:00:00 -0000

ros-dashing-kinesis-video-streamer (3.0.0-1bionic) bionic; urgency=high

  * Delete CHANGELOG.rst
  * Add changelogs
  * Bumping version to 3.0.0
  * Remove exports (#15 <https://github.com/aws-robotics/kinesisvideo-ros2/issues/15>)
    * Remove exports from CMakeLists.txt of the streamer node
    * Remove commented out exports
  * Delete BUILD.md
  * Tests should verify subscription through get_topic_names_and_types API
  * Increase test stability by waiting for callbacks longer and publishing less messages in kinesis_video_streamer_test.cpp
  * Adding basic launch script (#8 <https://github.com/aws-robotics/kinesisvideo-ros2/issues/8>)
    * Adding basic launch script
    * Fix typo/leftover in kinesis_video_streamer.launch.py
    * Set log4cplus_config path override appropriately.
  * Remove install directive for launch directory as it doesn't exist yet
  * Allow undeclared parameters, move spin() out of Streamer and add tests
  * Adding subscriber_callbacks_test.cpp
  * Restructure StreamerNode, main and add tests (#5 <https://github.com/aws-robotics/kinesisvideo-ros2/issues/5>)
    * Restructure Streamer as a standalone class; move main function to main.cpp
    * Add streamer node tests after restructuring.
    * Remove unneeded code from streamer test and add an additional assertion.
  * Properly set QoS settings (#4 <https://github.com/aws-robotics/kinesisvideo-ros2/issues/4>)
    * Increase queue size in tests to match the amount of messages being published.
    * Use QoS settings best suited to streaming
  * Pulling changes from ROS1: CI setup, bug fix in subscriber_callbacks.cpp, minor test stability fixes. (#2 <https://github.com/aws-robotics/kinesisvideo-ros2/issues/2>)
    * Pulling changes from ROS1: CI setup, bug fix in subscriber_callbacks.cpp, minor test stability fixes.
    * Empty commit to trigger CI.
  * Add packages kinesis_video_streamer, kinesis_video_msgs (#1 <https://github.com/aws-robotics/kinesisvideo-ros2/issues/1>)
  * Contributors: AAlon, Avishay Alon

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 06 Sep 2019 00:00:00 -0000

=== debian/control ===
Source: ros-dashing-kinesis-video-streamer
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-ament-cmake-gtest, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-image-transport, ros-dashing-kinesis-manager, ros-dashing-kinesis-video-msgs, ros-dashing-rclcpp, ros-dashing-rmw-implementation, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-kinesis-video-streamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-rmw-implementation, ros-dashing-ros-workspace
Description: Kinesis Video Streams producer node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-kinesis-video-streamer//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
